<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetAllRequest StructType
 * @subpackage Structs
 */
class GetAllRequest extends AbstractStructBase
{
    /**
     * The record
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \StructType\GetAllRecord
     */
    public $record;
    /**
     * Constructor method for GetAllRequest
     * @uses GetAllRequest::setRecord()
     * @param \StructType\GetAllRecord $record
     */
    public function __construct(\StructType\GetAllRecord $record = null)
    {
        $this
            ->setRecord($record);
    }
    /**
     * Get record value
     * @return \StructType\GetAllRecord
     */
    public function getRecord()
    {
        return $this->record;
    }
    /**
     * Set record value
     * @param \StructType\GetAllRecord $record
     * @return \StructType\GetAllRequest
     */
    public function setRecord(\StructType\GetAllRecord $record = null)
    {
        $this->record = $record;
        return $this;
    }
}
